# PetscDrawViewPortsSet

sets a draw object to use a particular subport

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawViewPortsSet(PetscDrawViewPorts *ports,int port)

Collective on PetscDraw inside PetscDrawViewPorts

### Input Parameter

| ports | - the PetscDrawViewPorts object
| port | - the port number, from 0 to nports-1

### See Also

PetscDrawSplitViewPort(), PetscDrawSetViewPort(), PetscDrawViewPortsDestroy(), PetscDrawViewPortsCreate()

Level:advanced
Location: src/sys/draw/interface/dviewp.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages